#
# spec file for package dmz-icon-theme-cursors
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dmz-icon-theme-cursors
Version:        11.3.0
Release:        lp151.2.1
# As documented on http://packages.debian.org/changelogs/pool/main/d/dmz-cursor-theme/dmz-cursor-theme_0.4.3/dmz-cursor-theme.copyright
Summary:        DMZ Cursor Theme
License:        CC-BY-SA-3.0
Group:          System/GUI/GNOME
Source:         dmz-cursor-theme_0.4.4.tar.gz
Requires:       hicolor-icon-theme
BuildRequires:  xcursorgen
Provides:       icon-theme-dmz-cursors = %{version}
Obsoletes:      icon-theme-dmz-cursors < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains the DMZ cursor theme for X.

%prep
%setup -q -n dmz-cursor-theme-0.4.4

%build
for i in Black White; do
	( cd DMZ-$i/pngs; ./make.sh )
done

%install
for i in Black White; do
	mkdir -p %{buildroot}%{_datadir}/icons/DMZ-$i
	cp -a DMZ-$i/*.theme %{buildroot}%{_datadir}/icons/DMZ-$i/
	cp -a DMZ-$i/xcursors %{buildroot}%{_datadir}/icons/DMZ-$i/cursors
done

%files
%defattr (-, root, root)
%{_datadir}/icons/DMZ-Black
%{_datadir}/icons/DMZ-White

%changelog
* Sun Jul  9 2017 seife+obs@b1-systems.com
- actually build and install the cursors, instead of random stuff
* Sat Jun 24 2017 lbeltrame@kde.org
- Update to the latest version in Debian (0.4.4)
  * Provide DMZ-White and DMZ-Black cursors
* Thu Jan 17 2013 vuntz@opensuse.org
- Change license from GPL-2.0+ to CC-BY-SA-3.0. Fix bnc#782743.
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Sat Aug  7 2010 vuntz@opensuse.org
- Rename package from icon-theme-dmz-cursors to
  dmz-icon-theme-cursors, to follow convention used by other
  packages. Add appropriate Provides/Obsoletes.
* Wed Aug 19 2009 abockover@novell.com
- created package
